/*
 * Copyright (c) 2023 codvision.com All Rights Reserved.
 */

package com.codvision.db.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统业务空间
 *
 * @author lingee
 * @date 2023/12/12
 */
@AllArgsConstructor
@Getter
public enum SysBusinessSpace {

    /**
     * 基础能力中心
     */
    SYS_BASE("base"),

    /**
     * 监控中心
     */
    SYS_MONITOR("monitor"),

    /**
     * 认证中心
     */
    SYS_AUTH("auth");

    private final String code;

    public static SysBusinessSpace resolve(String key) {
        for (SysBusinessSpace value : values()) {
            if (value.code.equals(key)) {
                return value;
            }
        }
        return null;
    }
}
